import request from '@/utils/request'

// 查询A类列表
export function listGrad(query) {
  return request({
    url: '/system/grad/list',
    method: 'get',
    params: query
  })
}

// 查询A类详细
export function getGrad(id) {
  return request({
    url: '/system/grad/' + id,
    method: 'get'
  })
}

// 新增A类
export function addGrad(data) {
  return request({
    url: '/system/grad',
    method: 'post',
    data: data
  })
}

// 修改A类
export function updateGrad(data) {
  return request({
    url: '/system/grad',
    method: 'put',
    data: data
  })
}

// 删除A类
export function delGrad(id) {
  return request({
    url: '/system/grad/' + id,
    method: 'delete'
  })
}
